/*
 * @Author: 吴永生#A02208 yongsheng.wu@wholion.com
 * @Date: 2022-06-21 20:03:56
 * @LastEditors: 吴永生#A02208 yongsheng.wu@wholion.com
 * @LastEditTime: 2022-06-24 09:47:09
 * @FilePath: /bkunyun/src/views/Project/ProjectSubmitWork/index.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { useEffect, useState } from "react";
import styles from "./index.module.css";
import ConfigForm from "./ConfigForm";
import WorkFlow from "./WorkFlow";
import ButtonComponent from "@/components/mui/Button";
import ArrowBackIosNewIcon from "@mui/icons-material/ArrowBackIosNew";
import IconButton from "@mui/material/IconButton";
import { ITemplateConfig } from "./interface";
import _ from "lodash";
import useMyRequest from "@/hooks/useMyRequest";
import { fetchTemplateConfigInfo } from "@/api/project_api";
import { useLocation } from "react-router-dom";
import { IResponse } from "@/api/http";
import { templateConfigJson } from "./mock";

const ProjectSubmitWork = () => {
  const [templateConfigInfo, setTemplateConfigInfo] = useState<ITemplateConfig>(
    templateConfigJson as any
  );
  const location: any = useLocation();

  /** 获取模版数据 */
  const { run } = useMyRequest(fetchTemplateConfigInfo, {
    onSuccess: (res: IResponse<ITemplateConfig>) => {
      setTemplateConfigInfo(res.data);
    },
  });

  useEffect(() => {
    // run({
    //   id: location?.state?.id,
    // });
  }, [location?.state?.id, run]);

  const setParameter = (value: any, taskId: string, parameterName: string) => {
    const result: ITemplateConfig = _.cloneDeep(templateConfigInfo);
    result.tasks.forEach((tack) => {
      if (tack.id === taskId) {
        tack.parameters.forEach((parameter) => {
          if (parameter.name === parameterName) {
            parameter.value = value;
          } else {
            return;
          }
        });
      } else {
        return;
      }
    });
    setTemplateConfigInfo(result);
  };

  return (
    <div className={styles.swBox}>
      <div className={styles.swHeader}>
        <div className={styles.swHeaderLeft}>
          <IconButton
            color="primary"
            aria-label="upload picture"
            component="span"
            size="small"
          >
            <ArrowBackIosNewIcon
              sx={{
                color: "rgba(194, 198, 204, 1)",
                width: "12px",
                height: "12px",
              }}
            />
          </IconButton>

          <div className={styles.swTemplateTitle}>
            {templateConfigInfo?.title}
          </div>
          <div className={styles.swTemplateVersionBox}>
            <span className={styles.swHeaderLable}>版本：</span>
            <span className={styles.swHeaderValue}>
              {templateConfigInfo?.version}
            </span>
          </div>
          <div className={styles.swTemplateUpdateTimeBox}>
            <span className={styles.swHeaderLable}>更新时间：</span>
            <span className={styles.swHeaderValue}>
              {templateConfigInfo?.updateTime}
            </span>
          </div>
          <div className={styles.swHeaderGoback}></div>
        </div>
        <div className={styles.swHeaderRight}>
          <ButtonComponent text="提交任务"></ButtonComponent>
        </div>
      </div>
      <div className={styles.swContent}>
        <div className={styles.swFormBox}>
          <ConfigForm
            templateConfigInfo={templateConfigInfo}
            setParameter={setParameter}
          />
        </div>
        <div className={styles.swFlowBox}>
          <WorkFlow templateConfigInfo={templateConfigInfo} />
        </div>
      </div>
    </div>
  );
};

export default ProjectSubmitWork;
